%define tdbmajor	1
%define epoch 1

%define libtdb %mklibname tdb %{tdbmajor}
%define tdbdevel %mklibname -d tdb

Name: tdb
Version: 1.3.13
# We shipped it in samba3 versioned with the samba3 version
Epoch: %{epoch}
Release: %mkrel 1
Group: System/Libraries
License: GPLv2
URL: http://tdb.samba.org/
Summary: Library implementing Samba's embedded database
Source: http://samba.org/ftp/tdb/tdb-%{version}.tar.gz
Source1: http://samba.org/ftp/tdb/tdb-%{version}.tar.asc
BuildRequires: python-devel 
BuildRequires: xsltproc 
BuildRequires: docbook-style-xsl

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

%package -n %{libtdb}
Group: System/Libraries
Summary: Library implementing Samba's embedded database

%description -n %{libtdb}
Library implementing Samba's embedded database

%package -n tdb-utils
Group: Databases
Summary: Tools for backing up, restoring, and manipulating Samba's embedded database
Conflicts: samba-server < 3.3.2-2

%description -n tdb-utils
Tools for backing up, restoring, and manipulating Samba's embedded database

%package -n %{tdbdevel}
Group: Development/C
Summary: Library implementing Samba's embedded database
Provides: tdb-devel = %{epoch}:%{version}-%{release}
#Version: %version
Requires: %{libtdb} = %{epoch}:%{version}-%{release}
# because /usr/include/tdb.h was moved from libsmbclient0-devel to libtdb-devel
Conflicts: %{mklibname smbclient 0 -d} < 3.2.6-3

%description -n %{tdbdevel}
Library implementing Samba's embedded database

%package -n python-tdb
Group: Development/Python
Summary: Python bindings to Samba's tdb embedded database

%description -n python-tdb
Pyhton bindings to Samba's tdb embedded database

%prep
%setup -q
%apply_patches

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x --bundled-libraries=NONE
%make

%install
%makeinstall_std

%files -n %{libtdb}
%{_libdir}/libtdb.so.%{tdbmajor}*

%files -n %{tdbdevel}
%{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_libdir}/pkgconfig/tdb.pc

%files -n tdb-utils
%{_bindir}/tdb*
%{_mandir}/man8/tdb*.8*

%files -n python-tdb
%{py_platsitedir}/tdb.so
%{py_platsitedir}/*.py*


%changelog
* Tue May 02 2017 luigiwalser <luigiwalser> 1:1.3.13-1.mga6
+ Revision: 1098254
- 1.3.13

* Wed Dec 07 2016 luigiwalser <luigiwalser> 1:1.3.12-1.mga6
+ Revision: 1073058
- 1.3.12

* Wed Sep 07 2016 luigiwalser <luigiwalser> 1:1.3.11-1.mga6
+ Revision: 1050393
- 1.3.11

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:1.3.10-1.mga6
+ Revision: 1045496
- 1.3.10

* Fri May 06 2016 luigiwalser <luigiwalser> 1:1.3.9-1.mga6
+ Revision: 1009956
- 1.3.9

* Thu Dec 24 2015 neoclust <neoclust> 1:1.3.8-1.mga6
+ Revision: 914358
- New version 1.3.8

* Wed Sep 23 2015 neoclust <neoclust> 1:1.3.7-1.mga6
+ Revision: 882447
- New version 1.3.7

* Fri Aug 21 2015 tmb <tmb> 1:1.3.6-2.mga6
+ Revision: 867744
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1:1.3.6-1.mga6
+ Revision: 837027
- remove upstreamed patch0
- 1.3.6

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.0-5.mga5
+ Revision: 746671
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.3.0-4.mga5
+ Revision: 730551
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.0-3.mga5
+ Revision: 689760
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 pterjan <pterjan> 1:1.3.0-2.mga5
+ Revision: 634231
- Add patch adding missing include (fixes rhythmbox build)

* Wed May 28 2014 luigiwalser <luigiwalser> 1:1.3.0-1.mga5
+ Revision: 627301
- 1.3.0

* Sat Mar 29 2014 luigiwalser <luigiwalser> 1:1.2.13-1.mga5
+ Revision: 609698
- 1.2.13

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.12-2.mga4
+ Revision: 528094
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 luigiwalser <luigiwalser> 1:1.2.12-1.mga4
+ Revision: 443441
- 1.2.12

* Mon Jan 14 2013 umeabot <umeabot> 1:1.2.11-2.mga3
+ Revision: 384198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 buchan <buchan> 1:1.2.11-1.mga3
+ Revision: 332025
- New version 1.2.11

* Thu Aug 16 2012 fedya <fedya> 1:1.2.10-1.mga3
+ Revision: 281503
- version update 1.2.10

* Fri May 13 2011 buchan <buchan> 1:1.2.9-1.mga1
+ Revision: 97818
- New version 1.2.9

* Mon Jan 17 2011 pterjan <pterjan> 1:1.2.7-3.mga1
+ Revision: 21354
- Rebuild for python 2.7

* Wed Jan 12 2011 blino <blino> 1:1.2.7-2.mga1
+ Revision: 6645
- imported package tdb

